Bug 1145133 - CPU: 5 PID: 2245 at drivers/usb/core/urb.c:362 usb_submit_urb+0x4d1/0x5d0 [usbcore]
CPU: 5 PID: 2245 at drivers/usb/core/urb.c:362 usb_submit_urb+0x4d1/0x5d0 [us...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-09 23:38 UTC by Víctor Sánchez
Modified: 2019-08-19 13:55 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
dmesg log (4.91 KB, text/plain)
2019-08-09 23:38 UTC, Víctor Sánchez
Details
System harware info (28.06 KB, text/plain)
2019-08-09 23:43 UTC, Víctor Sánchez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Víctor Sánchez 2019-08-09 23:38:56 UTC
Created attachment 813564 [details]
dmesg log

Since getting the 5.2 series of kernels I've been having big issues with an usb wireless device:
ID 0bda:a811 Realtek Semiconductor Corp. RTL8811AU 802.11a/b/g/n/ac WLAN Adapter

There is no mainline or staging kernel module for it, so i get it from:

https://github.com/aircrack-ng/rtl8812au

I stick to using the 5.3.4 branch.

The main issue is random system freezes that lead to reboots. In the journal there is not indication of what its wrong, i even set up kdump since the freeze lasts around 90 sec before the reboot, but no dumps are created when it happens. It also happens with the vanilla kernel.

This led me to believe is a faulty hardware. So i got a new one. The new device, same chip, has the same issue so i tested it in another system where i get the same results. No issues on windows 7 or 10, neither on KDE Neon.

I noticed the problem occurred when i was doing some heavy? use of the network, streaming videos, torrenting stuff. 
Shooting in the dark since i have little knowledge on how to debug this kind of problems i ran:

iwconfig DEV frag 768

After that i did notice the freezes and reboots are less common and i managed to get some info (see attachment) on what it may be going on.
Comment 1 Víctor Sánchez 2019-08-09 23:40:35 UTC
systool -vm 88XXau

Module = "88XXau"

  Attributes:
    coresize            = "2318336"
    initsize            = "0"
    initstate           = "live"
    refcnt              = "0"
    srcversion          = "0E0D297BB0504AD5ED5900B"
    taint               = "OE"
    uevent              = <store method only>
    version             = "v5.3.4_28226.20180614_COEX20171103-6c6d"

  Parameters:
    if2name             = "wlan%d"
    ifname              = "wlan%d"
    rtw_FileMaskEfuse   = "0"
    rtw_GLNA_type       = "0"
    rtw_OffEfuseMask    = "0"
    rtw_RFE_type        = "64"
    rtw_TxBBSwing_2G    = "255"
    rtw_TxBBSwing_5G    = "255"
    rtw_adaptivity_dc_backoff= "2"
    rtw_adaptivity_dml  = "0"
    rtw_adaptivity_en   = "0"
    rtw_adaptivity_mode = "0"
    rtw_adaptivity_th_edcca_hl_diff= "0"
    rtw_adaptivity_th_l2h_ini= "0"
    rtw_ampdu_enable    = "1"
    rtw_amplifier_type_2g= "0"
    rtw_amplifier_type_5g= "0"
    rtw_antdiv_cfg      = "2"
    rtw_antdiv_type     = "0"
    rtw_beamform_cap    = "10"
    rtw_busy_thresh     = "40"
    rtw_bw_mode         = "33"
    rtw_ch_switch_offload= "0"
    rtw_channel_plan    = "255"
    rtw_channel         = "1"
    rtw_check_hw_status = "0"
    rtw_chip_version    = "0"
    rtw_country_code    = "��"
    rtw_decrypt_phy_file= "0"
    rtw_drv_ant_band_switch= "1"
    rtw_drv_log_level   = "4"
    rtw_dynamic_agg_enable= "1"
    rtw_en_gro          = "1"
    rtw_en_napi         = "1"
    rtw_enusbss         = "0"
    rtw_excl_chs        = 
    rtw_full_ch_in_p2p_handshake= "0"
    rtw_hiq_filter      = "1"
    rtw_ht_enable       = "1"
    rtw_hw_wps_pbc      = "1"
    rtw_hwpdn_mode      = "2"
    rtw_hwpwrp_detect   = "0"
    rtw_initmac         = "(null)"
    rtw_ips_mode        = "1"
    rtw_iqk_fw_offload  = "0"
    rtw_lbkmode         = "0"
    rtw_load_phy_file   = "68"
    rtw_low_power       = "0"
    rtw_lowrate_two_xmit= "1"
    rtw_lps_level       = "0"
    rtw_max_roaming_times= "2"
    rtw_mc2u_disable    = "0"
    rtw_mp_mode         = "0"
    rtw_network_mode    = "0"
    rtw_notch_filter    = "0"
    rtw_phy_file_path   = "/lib/firmware/"
    rtw_pll_ref_clk_sel = "15"
    rtw_power_mgnt      = "1"
    rtw_powertracking_type= "64"
    rtw_pwrtrim_enable  = "2"
    rtw_qos_opt_enable  = "0"
    rtw_rf_config       = "8"
    rtw_rfintfs         = "2"
    rtw_rx_ampdu_amsdu  = "0"
    rtw_rx_ampdu_sz_limit_1ss= 
    rtw_rx_ampdu_sz_limit_2ss= 
    rtw_rx_ampdu_sz_limit_3ss= 
    rtw_rx_ampdu_sz_limit_4ss= 
    rtw_rx_stbc         = "3"
    rtw_rxgain_offset_2g= "0"
    rtw_rxgain_offset_5gh= "0"
    rtw_rxgain_offset_5gl= "0"
    rtw_rxgain_offset_5gm= "0"
    rtw_single_ant_path = "0"
    rtw_smart_ps        = "2"
    rtw_special_rf_path = "0"
    rtw_switch_usb_mode = "1"
    rtw_target_tx_pwr_2g_a= 
    rtw_target_tx_pwr_2g_b= 
    rtw_target_tx_pwr_2g_c= 
    rtw_target_tx_pwr_2g_d= 
    rtw_target_tx_pwr_5g_a= 
    rtw_target_tx_pwr_5g_b= 
    rtw_target_tx_pwr_5g_c= 
    rtw_target_tx_pwr_5g_d= 
    rtw_tx_ampdu_amsdu  = "2"
    rtw_tx_bw_mode      = "33"
    rtw_tx_pwr_by_rate  = "0"
    rtw_usb_rxagg_mode  = "2"
    rtw_vcs_type        = "1"
    rtw_vht_enable      = "2"
    rtw_vht_rx_mcs_map  = "43690"
    rtw_vrtl_carrier_sense= "2"
    rtw_wifi_spec       = "0"
    rtw_wmm_enable      = "1"

  Sections:
    .bss                = "0xffffffffc206a5c0"
    .data               = "0xffffffffc1f80000"
    .exit.text          = "0xffffffffc1f3bb61"
    .gnu.linkonce.this_module= "0xffffffffc206a240"
    .init.text          = "0xffffffffc0908000"
    .note.Linux         = "0xffffffffc1f3c024"
    .note.gnu.build-id  = "0xffffffffc1f3c000"
    .orc_unwind         = "0xffffffffc1f62b2b"
    .orc_unwind_ip      = "0xffffffffc1f5014b"
    .parainstructions   = "0xffffffffc1f7ea60"
    .rodata             = "0xffffffffc1f3c040"
    .rodata.str1.1      = "0xffffffffc1f4a3b8"
    .rodata.str1.8      = "0xffffffffc1f467f8"
    .smp_locks          = "0xffffffffc1f7e9fc"
    .strtab             = "0xffffffffc0927798"
    .symtab             = "0xffffffffc0909000"
    .text               = "0xffffffffc1e73000"
    __bug_table         = "0xffffffffc206977e"
    __mcount_loc        = "0xffffffffc1f3fb94"
    __param             = "0xffffffffc1f7ea80"
Comment 2 Víctor Sánchez 2019-08-09 23:43:37 UTC
Created attachment 813565 [details]
System harware info
Comment 3 Takashi Iwai 2019-08-12 15:33:44 UTC
The kernel log suggests that it's more likely a bug in this downstream driver code.  It's doing something wrong.

Better to contact with that downstream driver author.
Comment 4 Víctor Sánchez 2019-08-16 03:08:07 UTC
(In reply to Takashi Iwai from comment #3)
> The kernel log suggests that it's more likely a bug in this downstream
> driver code.  It's doing something wrong.
> 
> Better to contact with that downstream driver author.

Will do.
Comment 5 Víctor Sánchez 2019-08-16 23:52:03 UTC
(In reply to Víctor Sánchez from comment #4)
> (In reply to Takashi Iwai from comment #3)
> > The kernel log suggests that it's more likely a bug in this downstream
> > driver code.  It's doing something wrong.
> > 
> > Better to contact with that downstream driver author.
> 
> Will do.

Apparently i was using an unstable, not so polish version of the driver, as well as directed to use version 5.2.20 of it which is considered "stable".
A downstream issue indeed. 

Should i marked this as resolved?
Comment 6 Takashi Iwai 2019-08-19 13:55:39 UTC
Yes, let's close.